%define _name libglade
%define ver_major 2.5
%def_disable static
%def_disable python

Name: libglade2
Version: %ver_major.1
Release: alt1.1

Summary: libglade library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define gtk_ver 2.6.4
%define pango_ver 1.8.1
%define atk_ver 1.9.0
%define libxml2_ver 2.6.17
%define pkgconfig_ver 0.15-alt3.2
%define python_ver 2.0

PreReq: xml-utils, xml-common

Requires: libgtk+2 >= %gtk_ver

Requires: libxml2 >= %libxml2_ver
Requires: libatk >= %atk_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: python >= 2.0
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver

%if_enabled python
BuildPreReq: PyXML python-modules-xml
%endif

# Automatically added by buildreq on Sun Feb 06 2005 (-bi)
BuildRequires: XFree86-libs docbook-dtds docbook-style-xsl fontconfig freetype2 glib2-devel gtk-doc libatk-devel libgpg-error libgtk+2-devel libpango-devel libxml2-devel pkgconfig python-base python-dev python-modules-compiler python-modules-encodings rpm-build-python xml-common xml-utils xsltproc zlib-devel

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package devel
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver libatk-devel >= %atk_ver
Requires: libxml2-devel >= %libxml2_ver libpango-devel >= %pango_ver
Requires: pkgconfig >= %pkgconfig_ver

%description devel
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

Libraries, include files, etc you can use to develop libglade applications.

%package devel-python
Summary: Python script to convert old glade files.
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-python
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

This package provides libglade-convert script to convert old glade files.

%package devel-doc
Summary: Development documentation for %name
Group: Development/GNOME and GTK+
Conflicts: %name < %version-%release

%description devel-doc
Glade library allows to load user interfaces in programs, which are
stored externally. This allows alteration of the interface without
recompilation of the program.

This package contains development documentation for %name

%package devel-static
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/GNOME and GTK+
Requires: libgtk+2-devel libxml2-devel %name-devel = %version-%release

%description devel-static
Libraries, include files, etc you can use to develop libglade applications.

%define xmlbase %_datadir/xml
%define xmlconfdir %_sysconfdir/xml
%define xmlcatalog %xmlconfdir/catalog

%prep
%setup -n %_name-%version

# fix LTVERSION (2.4.1 was 0:5:0)
%__subst 's,0:4:0,0:6:0,' glade/Makefile*

%build
%if_disabled python
export ac_cv_path_PYTHON=/bin/false
%endif
%configure \
	%{subst_enable static} \
	--enable-gtk-doc

%make_build

%install
%makeinstall

# development diocumentation.
%__mkdir_p %buildroot%_docdir/%name-devel-%version
%__cp test-libglade.c examples/*.glade %buildroot%_docdir/%name-devel-%version/

%__bzip2 -9fk ChangeLog NEWS

%post
%post_ldconfig
%_bindir/xmlcatalog --noout --add "system" \
    "http://glade.gnome.org/glade-2.0.dtd" \
    %_datadir/xml/%_name/glade-2.0.dtd %xmlcatalog ||:

%postun
%postun_ldconfig
%_bindir/xmlcatalog --noout --del \
    "%_datadir/xml/%_name/glade-2.0.dtd" %xmlcatalog ||:

%files
%_libdir/*.so.*
%dir %_datadir/xml/%_name
%_datadir/xml/%_name/glade-2.0.dtd
%doc AUTHORS ChangeLog* NEWS* README

%files devel
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*

%if_enabled python
%files devel-python
%_bindir/libglade-convert
%endif

%files devel-doc
%_docdir/%name-devel-%version
%_datadir/gtk-doc/html/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Fri Mar 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1.1
- put rarely usable libglade-convert to separate devel-python
  subpackage and while python environment is broken do not build it.

* Fri Feb 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0.
- documentation moved to devel-doc subpackage.

* Tue Nov 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Jun 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1.1
- only devel subpackage requires python for libglade-convert

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Mar 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Wed Jan 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt4
- do not package .la files.
- devel-static subpackage is optional.

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt3
- fixed buildreqs.
- added missing prereqs on xml-common (close #1524).

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt2
- rebuild with new pango, gtk+
- post/postun scripts fixed.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- some fixes.

* Fri Jun 07 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- New version

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 1.99.12-alt1.1
- Moved *.la from static to devel package
- Minor fixes spec.

* Thu May 23 2002 Igor Androsov <blake@altlinux.ru> 1.99.12-alt1
- New source from CVS
- Initial build for AltLinux

* Mon May 13 2002 Igor Andrsov <blace@mail.ru> 1.99.12-blk0.1
- Syncing with CVS
- Minor chages spec

* Wed May 08 2002 Igor Andrsov <blace@mail.ru> 1.99.11-blk0.1
- New soruces from CVS
- Chages for AltLinux
- Moved static libs to devel-static

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
